Generation Framework

## org.eclipse.gmf.mappings
Interface DomainElementTarget

All Superinterfaces:
  Auditable, EObject, Measurable, Notifier

All Known Implementing Classes:
  DomainElementTargetImpl

public interface DomainElementTarget
extends Auditable, Measurable

A representation of the model object 'Domain Element Target'. Target for rules applied on domain model elements

The following features are supported:

- `Element`

See Also:
  `GMFMapPackage.getDomainElementTarget()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ocl='element'"

Method Summary
`EClass` `getElement()` Returns the value of the 'Element' reference
`void` `setElement(EClass value)` Sets the value of the '`Element`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getElement

    public EClass getElement()

  Returns the value of the 'Element' reference. Targeted domain model element

  Returns:
    the value of the 'Element' reference.
  See Also:
    `DomainElementTarget.setElement(EClass)`, `GMFMapPackage.getDomainElementTarget_Element()`
  ** Generated **
  Model:
    required="true"

### setElement

    public void setElement(EClass value)

  Sets the value of the '`Element`' reference.

  Parameters:
    `value` - the new value of the 'Element' reference.
  See Also:
    `DomainElementTarget.getElement()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.